SET_AUMESSAGE_MODE(3)

NAME
set_aumessage_mode - Sets the message mode

SYNOPSIS

#include <libaudit.h>

void set_aumessage_mode(message_t mode, debug_message_t debug);

DESCRIPTION

set_aumessage_mode sets the location where messages are sent and the output of the debug messages.

If mode=MSG_STDERR, then messages are sent to stderr. If mode=MSG_SYSLOG, then messages are sent to syslog. If mode=MSG_QUIET (default), then messages are not sent.

If debug=DBG_YES, then debug messages are output. If debug=DBG_NO (default), then debug messages are not output.

EXAMPLE

/* Sample code */
set_aumessage_mode(MSG_SYSLOG, DBG_YES)

RETURN VALUE

None.

SEE ALSO

auditd(8), audit_open(3).

AUTHOR
Debora Velarde.